Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.sql
Class BatchUpdateException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--superwaba.ext.xplat.sql.SQLException
                        |
                        +--superwaba.ext.xplat.sql.BatchUpdateException

public class BatchUpdateException
extends SQLException

This class extends `SQLException` to count the successful updates in each statement in a batch that was successfully updated prior to the error.

Constructor Summary
`BatchUpdateException()` Initializes a new instance of `BatchUpdateException` with no descriptive error message.
`BatchUpdateException(int[] updateCounts)` Initializes a new instance of `BatchUpdateException` with the specified update count information and no descriptive error message.
`BatchUpdateException(String message, int[] updateCounts)` This method initializes a new instance of `BatchUpdateException` with the specified descriptive error message and update count information.
`BatchUpdateException(String message, String SQLState, int[] updateCounts)` This method initializes a new instance of `BatchUpdateException` with the specified descriptive error message, SQL state, and update count information.
`BatchUpdateException(String message, String SQLState, int vendorCode, int[] updateCounts)` This method initializes a new instance of `BatchUpdateException` with the specified descriptive error message, SQL state, and update count information.

Method Summary
`int[]` | `getUpdateCounts()` This method returns the update count information for this error.

Methods inherited from class superwaba.ext.xplat.sql.SQLException
`getErrorCode, getNextException, getSQLState, setNextException`

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, wait, wait`

Constructor Detail

### BatchUpdateException

    public BatchUpdateException(String message,
                                String SQLState,
                                int vendorCode,
                                int[] updateCounts)

  This method initializes a new instance of `BatchUpdateException` with the specified descriptive error message, SQL state, and update count information. The vendor specific error code will be initialized to 0.
  Parameters:
    `message` - The descriptive error message.
    `SQLState` - The SQL state information for this error.
    `vendorCode` -
    `updateCounts` - The update count information for this error.

### BatchUpdateException

    public BatchUpdateException(String message,
                                String SQLState,
                                int[] updateCounts)

  This method initializes a new instance of `BatchUpdateException` with the specified descriptive error message, SQL state, and update count information. The vendor specific error code will be initialized to 0.
  Parameters:
    `message` - The descriptive error message.
    `SQLState` - The SQL state information for this error.
    `updateCounts` - The update count information for this error.

### BatchUpdateException

    public BatchUpdateException(String message,
                                int[] updateCounts)

  This method initializes a new instance of `BatchUpdateException` with the specified descriptive error message and update count information. The SQL state will be initialized to `null` and the vendor specific error code will be initialized to 0.
  Parameters:
    `message` - The descriptive error message.
    `updateCounts` - The update count information for this error.

### BatchUpdateException

    public BatchUpdateException(int[] updateCounts)

  Initializes a new instance of `BatchUpdateException` with the specified update count information and no descriptive error message. This SQL state will be initialized to `null` and the vendor specific error code will be initialized to 0.
  Parameters:
    `updateCounts` - The update count array.

### BatchUpdateException

    public BatchUpdateException()

  Initializes a new instance of `BatchUpdateException` with no descriptive error message. The SQL state and update count will be initialized to `null` and the vendor specific error code will initialized to 0.

Method Detail

### getUpdateCounts

    public int[] getUpdateCounts()

  This method returns the update count information for this error. If not `null` this is an array of `int`'s that are the update accounts for each command that was successfully executed. The array elements are in the order that the commands were executed.
  Returns:
    The update count information, which may be `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD